Download it now!
Bug 136566 - FILEOPEN XLSX Shape line color disappears on reloading
Summary: FILEOPEN XLSX Shape line color disappears on reloading
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Balázs Regényi
URL:
Whiteboard: target:7.1.0
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Doc-Themes XLSX-Shapes
  Show dependency treegraph
 
Reported: 2020-09-08 07:29 UTC by NISZ LibreOffice Team
Modified: 2020-09-23 10:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment #161519 saved with current Calc (7.39 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-09-08 07:29 UTC, NISZ LibreOffice Team
Details
attachment #161519 side by side in Excel and Calc (144.89 KB, image/png)
2020-09-08 07:30 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document side by side in Excel and Calc (133.03 KB, image/png)
2020-09-08 07:30 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-09-08 07:29:53 UTC
Created attachment 165252 [details]
attachment #161519 [details] saved with current Calc

This is split off from bug #70293
In attachment #161519 [details] there is a few textboxes with different outline colors.
When opening the file in Calc these are imported correctly, but after saving to XLSX and reopening the Custom line colors disappear in Calc. 
However they are correctly opened in Excel.


Steps to reproduce:
    1. Open attachment #161519 [details] in Calc
    2. Notice that all shapes have colored outlines
    3. Save as XLSX, reopen in Excel and Calc

Actual results:
In Excel only the Auto line color disappears (this is the same problem as in bug #77236 – the pending fix to that solved this part) all other appears.
In Calc the shape lines Custom colors disappear too.

Expected results:
Shape lines Custom colors reappear correctly.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 34a09c9c61bff30e8c4d16132bb47b2b1b16e422
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-09-08 07:30:14 UTC
Created attachment 165253 [details]
attachment #161519 [details] side by side in Excel and Calc
Comment 2 NISZ LibreOffice Team 2020-09-08 07:30:27 UTC
Created attachment 165254 [details]
Screenshot of the exported document side by side in Excel and Calc
Comment 3 Balázs Regényi 2020-09-14 09:09:01 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83c30743eaf44d8eded4a73e3ac2585b5bdbaffc

tdf#77236 DOCX shape export: fix missing solidFill

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-09-23 10:07:13 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ce405819f36496398e5ca389f12eafb3cfdc64ae

tdf#136566 XLSX export: fix lost scheme based line colors

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.